Page MenuHomePhabricator

1.32.0-wmf.22 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.22
Release Date
1537142400

2018 week 38 1.32-wmf.22 Changes wmf/1.32.0-wmf.22

This MediaWiki Train Deployment is scheduled for the week of Monday, September 17th:

Monday September 17thTuesday, September 18thWednesday, September 19thThursday, September 20thFriday
SWAT deployments only.Branch wmf.22 and deploy to Group 0 Wikis.Deploy wmf.22 to Group 1 Wikis.Deploy wmf.22 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.22 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.21
Next: 1.32.0-wmf.23

Related Objects

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Normal priority.Mar 29 2018, 6:15 PM
greg assigned this task to hashar.Aug 30 2018, 4:18 PM

Checked T204669: Slow access to Special:Contributions on mediawiki.org (due to enabling actor table WRITE_BOTH mode) with DBA / Brad Jorsch, that is an ongoing experimentation on group0 done via a config change: https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/460923

Or in short that is not a train blocker.

Mentioned in SAL (#wikimedia-operations) [2018-09-18T13:21:22Z] <hashar> Cutting branches wmf/1.32.0-wmf.22 | T191068

Release notes pasted at https://www.mediawiki.org/wiki/MediaWiki_1.32/wmf.22/Changelog

I will deploy to group0 later today, after 19:00UTC.

Pushed to group0 around 19:00 UTC

There are a few issues related to the newish actor table:

The current blockers related to actor:

The feature is thanksfully feature flagged and only enabled on a few wikis https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/460923/1/wmf-config/InitialiseSettings.php That includes mediawiki.org though.

I don't think they are blockers for wmf.22, probably we can move them as sub task of some other task.

Mentioned in SAL (#wikimedia-operations) [2018-09-19T19:30:06Z] <hashar> while promoting group1 to 1.32.0-wmf.22 lot of web requests timed out at 60 seconds. Roughly from 19:24 to 19:28. But that is no more occurring | T191068

I noticed a large spike of web requests timeouts when promoting group1. That solved by itself eventually. Filled as T204871

hashar closed this task as Resolved.Sep 20 2018, 9:15 PM
hashar added subscribers: SBisson, Esanders, Multichill and 6 others.

1.32.0-wmf.22 has been rolled to all wikis and seems all fine.

Thank you @Tgr and @Anomie to have shown up for errors due to the new actor table. I even a patch for a task before I had fully described it. The issues we found are now attached to T188327

@Catrope / @SBisson Echo looks good, the undefined index got quickly fixed (T204758, T204826). Much appreciated.

@Esanders / @Multichill / @Legoktm who have fixed a special page name. An issue solved so fast I have only noticed it now (T204873)

@Krinkle who have made PHP Notices to be reported with the ERROR level, they show up in logstash with a stacktrace, wiki info etc. That is way better than the single line that comes from HHVM stdout/stderr. Thank you for all the log tasks you have filled.

And several from above + @Nikerabbit who got rid of spam log from the Parser (T204797).


Actions for later:

Thank you everyone.

antoine-approve

Mentioned in SAL (#wikimedia-operations) [2018-09-20T21:16:32Z] <hashar> 1.32.0-wmf.22 is fully deployed. A quick summary and thanks words are at https://phabricator.wikimedia.org/T191068#4604040